summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xci/linux-repository-builder/build-linux-repositories.sh4
-rwxr-xr-xci/mullvad-browser/download-mullvad-browser.sh11
2 files changed, 12 insertions, 3 deletions
diff --git a/ci/linux-repository-builder/build-linux-repositories.sh b/ci/linux-repository-builder/build-linux-repositories.sh
index 418183485b..f39b06a47c 100755
--- a/ci/linux-repository-builder/build-linux-repositories.sh
+++ b/ci/linux-repository-builder/build-linux-repositories.sh
@@ -135,6 +135,10 @@ function rsync_repo {
local remote_repo_dir=$2
echo "Syncing to $repository_server_upload_domain:$remote_repo_dir"
+ # We have an issue where the rsync can fail due to the remote dir being locked (only one rsync at a time allowed)
+ # We suspect this is because of too fast subsequent invocations of rsync to the same target dir. With a hacky sleep
+ # we hope to avoid this issue for now.
+ sleep 10
rsync -av --delete --mkpath --rsh='ssh -p 1122' \
"$local_repo_dir"/ \
build@"$repository_server_upload_domain":"$remote_repo_dir"
diff --git a/ci/mullvad-browser/download-mullvad-browser.sh b/ci/mullvad-browser/download-mullvad-browser.sh
index 14072fcda8..956c255226 100755
--- a/ci/mullvad-browser/download-mullvad-browser.sh
+++ b/ci/mullvad-browser/download-mullvad-browser.sh
@@ -39,11 +39,12 @@ function main() {
echo "[#] Downloading $PACKAGE_FILENAME.asc"
if ! wget --quiet "$SIGNATURE_URL"; then
echo "[!] Failed to download $SIGNATURE_URL"
+ rm "$PACKAGE_FILENAME"
exit 1
fi
echo "[#] Verifying $PACKAGE_FILENAME signature"
- if ! gpg --verify "$PACKAGE_FILENAME".asc; then
+ if ! gpg --verify "$PACKAGE_FILENAME".asc "$PACKAGE_FILENAME"; then
echo "[!] Failed to verify signature"
rm "$PACKAGE_FILENAME" "$PACKAGE_FILENAME.asc"
exit 1
@@ -63,8 +64,6 @@ function main() {
return
fi
- echo "[#] $PACKAGE_FILENAME has changed"
- cp "$PACKAGE_FILENAME" "$WORKDIR/"
# Leaving a file in `$TMP_DIR` is used as an indicator further down that something changed
}
@@ -104,7 +103,13 @@ if [[ -z "$(ls -A "$TMP_DIR")" ]]; then
exit
fi
+echo ""
echo "[#] New browser build(s) exist"
+for package in *; do
+ echo "[#] $package has changed"
+ mv "$package" "$WORKDIR/"
+done
+
for repository in "${REPOSITORIES[@]}"; do
inbox_dir="$NOTIFY_DIR/$repository"